import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "dc33f6a2aebdd9d6de634f044dec6432";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: ApexMethodExecuteRequest, existing: ApexMethodExecuteRequestNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): ApexMethodExecuteRequestNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: ApexMethodExecuteRequestNormalized, incoming: ApexMethodExecuteRequestNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: ApexMethodExecuteRequest, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * A JSON Object representing the parameters of an apex method as name-value pairs.
 *
 * Keys:
 *    (none)
 */
export interface ApexMethodExecuteRequestNormalized {
}
/**
 * A JSON Object representing the parameters of an apex method as name-value pairs.
 *
 * Keys:
 *    (none)
 */
export interface ApexMethodExecuteRequest {
}
